//-----------------------------
// Make a 'perlin noise image'.
// Fill the define image with noise.
// channel is 0-2, = r, g, or b

void makePerlin(PImage img, float noiseScale){
  noiseSeed(int(random(0,1000)));
  
  for(int x=0; x < res; x++) {
    for(int y=0; y < res; y++){
      // normalize the x & y positions between 0-1
      float normX = map(x, 0, res, 0, noiseScale);
      float normY = map(y, 0, res, 0, noiseScale);  
      // find the noise value for that x,y pos:    
      float val = noise(normX, normY);
      // map that value to a color:
      int cVal = int(map(val, 0, 1, 0, 255));

      color col = color(cVal);     
      img.set(x,y,col);     
    }
  }  
}
